"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultisigAccountParticipants = void 0;
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
const core_1 = require("@oclif/core");
const command_1 = require("../../../../command");
const flags_1 = require("../../../../flags");
class MultisigAccountParticipants extends command_1.IronfishCommand {
    async start() {
        const { flags } = await this.parse(MultisigAccountParticipants);
        const client = await this.sdk.connectRpc();
        const response = await client.wallet.multisig.getAccountIdentities({
            account: flags.account,
        });
        for (const identity of response.content.identities) {
            this.log(identity);
        }
    }
}
MultisigAccountParticipants.description = `List all participant identities in the group for a multisig account`;
MultisigAccountParticipants.flags = {
    ...flags_1.RemoteFlags,
    account: core_1.Flags.string({
        char: 'f',
        description: 'The account to list group identities for',
    }),
};
exports.MultisigAccountParticipants = MultisigAccountParticipants;
//# sourceMappingURL=participants.js.map