"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.confirmOperation = void 0;
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
const core_1 = require("@oclif/core");
const confirmOperation = async (options) => {
    const { confirmMessage, cancelledMessage, confirm } = options;
    if (confirm) {
        return true;
    }
    const confirmed = await core_1.CliUx.ux.confirm(confirmMessage || 'Do you confirm (Y/N)?');
    if (!confirmed) {
        core_1.CliUx.ux.log(cancelledMessage || 'Operation aborted.');
        core_1.CliUx.ux.exit(0);
    }
};
exports.confirmOperation = confirmOperation;
//# sourceMappingURL=confirm.js.map