"use strict";
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExplorer = exports.EXPLORER_URLS = void 0;
exports.EXPLORER_URLS = {
    0: 'https://testnet.explorer.ironfish.network',
    1: 'https://explorer.ironfish.network',
};
const getExplorer = (networkId) => {
    if (!(networkId in exports.EXPLORER_URLS)) {
        return null;
    }
    const url = exports.EXPLORER_URLS[networkId];
    return {
        getBlockUrl: (hash) => `${url}/blocks/${hash}`,
        getTransactionUrl: (hash) => `${url}/transaction/${hash}`,
    };
};
exports.getExplorer = getExplorer;
//# sourceMappingURL=explorer.js.map