"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.longPrompt = void 0;
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/. */
const readline_1 = __importDefault(require("readline"));
// Most effective way to take in a large textual prompt input without affecting UX
async function longPrompt(question, options, readlineInterface) {
    const rl = readlineInterface ||
        readline_1.default.createInterface({
            input: process.stdin,
            output: process.stdout,
        });
    const userInput = await new Promise((resolve) => {
        rl.question(question + ': ', (answer) => {
            resolve(answer.trim());
        });
    });
    if (userInput.length === 0 && options?.required) {
        return longPrompt(question, options, rl);
    }
    rl.close();
    return userInput;
}
exports.longPrompt = longPrompt;
//# sourceMappingURL=longPrompt.js.map