import { FileSystem, RpcClient } from '@ironfish/sdk';
import * as yup from 'yup';
export type MultisigTransactionOptions = {
    identity: string[];
    unsignedTransaction: string;
    commitment: string[];
    signingPackage: string;
    signatureShare: string[];
};
export declare const MultisigTransactionOptionsSchema: yup.ObjectSchema<Partial<MultisigTransactionOptions>>;
declare function load(files: FileSystem, path?: string): Promise<Partial<MultisigTransactionOptions>>;
type MultisigTransactionFlags = {
    identity?: string[];
    unsignedTransaction?: string;
    commitment?: string[];
    signingPackage?: string;
    signatureShare?: string[];
};
declare function resolveFlags(flags: MultisigTransactionFlags, json: Partial<MultisigTransactionOptions>): Partial<MultisigTransactionOptions>;
export declare const MultisigTransactionJson: {
    load: typeof load;
    resolveFlags: typeof resolveFlags;
};
export declare function selectSecret(client: Pick<RpcClient, 'wallet'>): Promise<string>;
export {};
//# sourceMappingURL=multisig.d.ts.map