import { S3Client } from '@aws-sdk/client-s3';
import { Credentials } from '@aws-sdk/types/dist-types/credentials';
import { Logger } from '@ironfish/sdk';
export type R2Secret = {
    r2AccessKeyId: string;
    r2SecretAccessKey: string;
};
declare function uploadToBucket(s3: S3Client, filePath: string, contentType: string, bucket: string, keyName: string, logger?: Logger, metadata?: Record<string, string>): Promise<void>;
/**
 * Returns an HTTPS URL to a file in S3.
 * https://docs.aws.amazon.com/AmazonS3/latest/userguide/transfer-acceleration-getting-started.html
 * https://docs.aws.amazon.com/AmazonS3/latest/userguide/dual-stack-endpoints.html
 */
declare function getDownloadUrl(bucket: string, key: string, region: {
    accelerated: true;
} | {
    accelerated: false;
    regionCode: string;
}, options?: {
    dualStack?: boolean;
}): string;
declare function getS3Client(useDualstackEndpoint: boolean, credentials?: {
    accessKeyId: string;
    secretAccessKey: string;
}): S3Client;
declare function getCognitoIdentityCredentials(): Promise<Credentials>;
export declare const S3Utils: {
    getCognitoIdentityCredentials: typeof getCognitoIdentityCredentials;
    getDownloadUrl: typeof getDownloadUrl;
    getS3Client: typeof getS3Client;
    uploadToBucket: typeof uploadToBucket;
};
export {};
//# sourceMappingURL=s3.d.ts.map