import { Logger, RawTransaction, RpcAsset, RpcClient, TransactionStatus, UnsignedTransaction } from '@ironfish/sdk';
export declare class TransactionTimer {
    private progressBar;
    private startTime;
    private endTime;
    private estimateInMs;
    private timer;
    constructor(spendPostTime: number, raw: RawTransaction);
    getEstimateInMs(): number;
    getStartTime(): number;
    getEndTime(): number;
    start(): void;
    end(): void;
}
export declare function renderUnsignedTransactionDetails(client: RpcClient, unsignedTransaction: UnsignedTransaction, account?: string, logger?: Logger): Promise<void>;
export declare function renderRawTransactionDetails(client: Pick<RpcClient, 'wallet'>, rawTransaction: RawTransaction, account: string, logger: Logger): Promise<void>;
export declare function displayTransactionSummary(transaction: RawTransaction, asset: RpcAsset, amount: bigint, from: string, to: string, memo: string, logger?: Logger): void;
export declare function watchTransaction(options: {
    client: Pick<RpcClient, 'wallet'>;
    hash: string;
    account?: string;
    confirmations?: number;
    waitUntil?: TransactionStatus;
    pollFrequencyMs?: number;
    logger?: Logger;
}): Promise<void>;
//# sourceMappingURL=transaction.d.ts.map